Download it now!
Bug 83889 - FILEOPEN: PPTX - bullet point is followed by spurious <mailbox> symbol
Summary: FILEOPEN: PPTX - bullet point is followed by spurious <mailbox> symbol
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-15 13:34 UTC by Tobias Burnus
Modified: 2015-05-11 11:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test case (test.pptx) (32.62 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-09-15 13:34 UTC, Tobias Burnus
Details
Screenshot: LO4.3.1.2 vs. PowerPoint 2007 (6.66 KB, image/png)
2014-09-15 13:39 UTC, Tobias Burnus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2014-09-15 13:34:57 UTC
Created attachment 106316 [details]
Test case (test.pptx)

The MS Office 2007/Windows produced file should look like:

B. That’s a test:
* In test 1
* Second line

However, with both LO 4.3.1.2/Windows and 4.0.4.2/CentOS6-x86-64-linux, a spurious mailbox symbol appears instead of a spacing between the bullet point and the item.

I think the test case requires MS Wingdings; the bullet point is probably character 110 and the half-open mailbox is character 46 (ASCII: '$').
Comment 1 Tobias Burnus 2014-09-15 13:39:48 UTC
Created attachment 106317 [details]
Screenshot: LO4.3.1.2 vs. PowerPoint 2007
Comment 2 Jacques Guilleron 2014-09-15 20:04:31 UTC
Hi Tobias,

I confirm this adding with import in LO 4.3.2.1 & Windows 7 Home Premium.
I set status to NEW.

regards,

Jacques
Comment 3 Tobias Burnus 2014-09-29 12:42:36 UTC
From ppt/slides/slide1.xml (excerpt):

<a:p><a:pPr><a:lnSpc><a:spcPct val="150000"/></a:lnSpc>
<a:buFont typeface="Wingdings" pitchFamily="2" charset="2"/><a:buChar char="§"/>
</a:pPr><a:r><a:rPr lang="en-US" dirty="0" smtClean="0"/><a:t>In test


According http://msdn.microsoft.com/en-us/library/documentformat.openxml.drawing.bulletfont%28v=office.14%29.aspx , one has:

pitchFamily "0x02 VARIABLE PITCH + UNKNOWN FONT FAMILY"

charset "0x02 Specifies the Symbol character set. This value specifies that the characters in the Unicode private use area (U+FF00 to U+FFFF) of the font should be used to display characters in the range U+0000 to U+00FF."


- The character "§" is Latin1's 0247, 167, A7 - which matches the small bullet point.
- Additionally shown is ASCII's "." (056, 46, 2E), which is the open-mailbox symbol.


As far as I know, Wingdings is an old-style TTF font with 256 characters and not an Unicode font. I wonder whether the charset="2" causes the trouble by trying to access 0x00A7 + 0xFF00 -> 0xFFA7 in a font which only has FF characters?
Comment 4 Commit Notification 2015-03-20 08:24:45 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7b611e8fb62d6e93844e5e7b9f1f00adb4afeea

tdf#83889:FILEOPEN:PPTX bullet point is followed by spurious symbol

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Akshay Anand 2015-05-11 11:08:27 UTC
Verified on LO Windows build ID :

Version: 5.0.0.0.alpha1+
Build ID: 5984cc83fe756f7483d1ac582b8adbef5042be8b
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-07_05:11:59
Locale: en-US (en_US)

Issue has been fixed.